Package Details: thunar-shares-plugin 1:0.3.2-1

Git Clone URL: https://aur.archlinux.org/thunar-shares-plugin.git (read-only, click to copy)
Package Base: thunar-shares-plugin
Description: Thunar plugin to quickly share a folder using Samba without requiring root access
Upstream URL: http://goodies.xfce.org/projects/thunar-plugins/thunar-shares-plugin
Licenses: GPL2, LGPL
Submitter: lesebas
Maintainer: maoxuner
Last Packager: maoxuner
Votes: 33
Popularity: 0.055416
First Submitted: 2015-12-10 21:27 (UTC)
Last Updated: 2023-02-09 06:08 (UTC)

Latest Comments

1 2 Next › Last »

maoxuner commented on 2023-02-08 02:03 (UTC) (edited on 2023-02-09 06:10 (UTC) by maoxuner)

@friday13 It should be fixed after updated.

friday13 commented on 2023-02-06 09:46 (UTC)

Prefix:        /usr
Debug Support: no

Now type "make" to compile.
make  all-recursive
make[1]: Entering directory '/home/friday13/.cache/yay/thunar-shares-plugin/src/thunar-shares-plugin-0.3.1'
Making all in libshares
make[2]: Entering directory '/home/friday13/.cache/yay/thunar-shares-plugin/src/thunar-shares-plugin-0.3.1/libshares'
  CC       libshares_la-shares.lo
In file included from shares.c:23:
../config.h:17:35: warning: "GLIB_VERSION_2_18" is not defined, evaluates to 0 [-Wundef]
   17 | #define GLIB_VERSION_MIN_REQUIRED GLIB_VERSION_2_18
      |                                   ^~~~~~~~~~~~~~~~~
/usr/include/glib-2.0/glib/gversionmacros.h:348:7: note: in expansion of macro 'GLIB_VERSION_MIN_REQUIRED'
  348 | #elif GLIB_VERSION_MIN_REQUIRED == 0
      |       ^~~~~~~~~~~~~~~~~~~~~~~~~
../config.h:14:34: warning: "GLIB_VERSION_2_18" is not defined, evaluates to 0 [-Wundef]
   14 | #define GLIB_VERSION_MAX_ALLOWED GLIB_VERSION_2_18
      |                                  ^~~~~~~~~~~~~~~~~
/usr/include/glib-2.0/glib/gversionmacros.h:374:45: note: in expansion of macro 'GLIB_VERSION_MAX_ALLOWED'
  374 | #if !defined (GLIB_VERSION_MAX_ALLOWED) || (GLIB_VERSION_MAX_ALLOWED == 0)
      |                                             ^~~~~~~~~~~~~~~~~~~~~~~~
In file included from /usr/include/glib-2.0/glib/gtypes.h:36,
                 from /usr/include/glib-2.0/glib/galloca.h:34,
                 from /usr/include/glib-2.0/glib.h:32,
                 from /usr/include/glib-2.0/glib/gi18n-lib.h:23,
                 from shares.c:39:
/usr/include/glib-2.0/glib/gversionmacros.h:381:2: error: #error "GLIB_VERSION_MIN_REQUIRED must be <= GLIB_VERSION_CUR_STABLE"
  381 | #error "GLIB_VERSION_MIN_REQUIRED must be <= GLIB_VERSION_CUR_STABLE"
      |  ^~~~~
/usr/include/glib-2.0/glib/gversionmacros.h:384:2: error: #error "GLIB_VERSION_MAX_ALLOWED must be >= GLIB_VERSION_MIN_REQUIRED"
  384 | #error "GLIB_VERSION_MAX_ALLOWED must be >= GLIB_VERSION_MIN_REQUIRED"
      |  ^~~~~
make[2]: *** [Makefile:442: libshares_la-shares.lo] Error 1
make[2]: Leaving directory '/home/friday13/.cache/yay/thunar-shares-plugin/src/thunar-shares-plugin-0.3.1/libshares'
make[1]: *** [Makefile:449: all-recursive] Error 1
make[1]: Leaving directory '/home/friday13/.cache/yay/thunar-shares-plugin/src/thunar-shares-plugin-0.3.1'
make: *** [Makefile:381: all] Error 2
==> ERROR: A failure occurred in build().
    Aborting...
 -> error making: thunar-shares-plugin

earlybird commented on 2022-03-07 11:10 (UTC) (edited on 2022-03-07 11:10 (UTC) by earlybird)

package does not work anymore see https://gitlab.manjaro.org/packages/community/xfce/thunar-shares-plugin/-/issues/1 needs a patch -l to --long

lesebas commented on 2018-09-06 06:23 (UTC)

@ KI9N

You're right, I think the developers changed the format of the archive. I did not notice it as I think the archive was already downloaded on my disk. I will correct the PKGBUILD shortly.

KI9N commented on 2018-09-05 23:57 (UTC)

The source file wouldn't download for me until I changed the extension from .bz2 to .gz in the PKGBUILD.

lesebas commented on 2018-06-07 06:09 (UTC)

@ foutrelis

No problem, the git repository contain the update to 0.3.0 to be compatible with thunar ver. higher than 1.7.0 I will update the package shortly. Thanks for the information.

foutrelis commented on 2018-06-07 01:16 (UTC)

Please note that this plugin will need to be updated to use the thunarx-3 library shipped with thunar 1.8.0. The latter will move out of [testing] in a few days.

lesebas commented on 2017-09-03 16:06 (UTC)

Hello Up to date, I've modify the PKGBUILD to point out the last master snapshot rather a specific commit. It will keep up to date at each compilation.

Daerandin commented on 2017-08-11 23:30 (UTC)

As noted by the previous comment, this package should be updated to the most recent git commit. As it is now the package is broken. Furthermore, the patch is no longer required. I updated a working PKGBUILD which can be found here: https://pastebin.com/RKwg3zc0